Subject: Re: [Dime] Policy based Applications and QoS Application

From: Hannes Tschofenig <[email-masked]>
Date: Mon, 05 Jun 2006 11:31:59 +0200

Hi Avi,

Avi Lior wrote:
> Hi Hannes,
> 
> The discussion on MIPv6 bootstrapping is different.  We know that it is
> an Application we were just debating whether or not we need to create a
> new Application ID.
> 
> QoS may be an application and it may also be an attribute that is used
> by various applications.
This is true but with QoS might might to accomplish good alignment with 
existing Diameter applications. From the scenario we looked at in the 
past we noticed that it is important to have QoS support for NASREQ, 
EAP, Accounting and DCC applications.

> 
> While it may be difficult for the IETF to come up with a QoS application
> that would work across many SDOs, it may be good enough for DIME to
> define a standerdized QoS blob and have SDOs pick it up as they work on
> SDO specific applications.

This aspect also relates to the question raised by Dan (and I also 
believe that there is a relationship to the MIPv6 bootstrapping work).

We have
* a bunch of different applications (NASREQ, EAP, etc.)
* different QoS scenarios (I pointed to the already in a previous mail)
* QoS attribute (there we considered a generic QoS description)
* a flow identifier (or set of flow identifiers)

The application vs. attribute question might not be that important at 
the end. Even if we decide to compile attributes then there needs to be 
a mechanism to indicate QoS support either using an application-id or a 
service-type.

> For vendors like us, providing products across SDOs, having a
> standerdized QoS blob is adventageous.  QoS Blob is relatively complex,
> and requires a complex GUI for provisioning it and also complex API.
That's a good point. As a manufacturer of AAA equipment you will only 
see QoS stuff and a few attributes being added to the messages.

Ciao
Hannes

> 
> Avi
> 
> 
>>-----Original Message-----
>>From: Hannes Tschofenig [mailto:[email-masked]] 
>>Sent: Monday, May 29, 2006 4:52 PM
>>To: Avi Lior
>>Cc: [email-masked]; [email-masked]; Tschofenig, Hannes
>>Subject: Re: [Dime] Policy based Applications and QoS Application
>>
>>Hi Avi,
>>
>>thanks for raising this topic. Please find my response below;
>>
>>Avi Lior wrote:
>>
>>>Hi All,
>>> 
>>>This email prompts me to start a discussion on Policy and 
>>
>>QoS Application.
>>
>>> 
>>>As some of you are aware IMS Rel 7.0 has an entity called 
>>
>>PCRF.  This 
>>
>>>PCRF is supposed to broker per flow based policy actions 
>>
>>between the 
>>
>>>IMS infrastructure and the Network.  Initially this policy 
>>
>>was QoS and 
>>
>>>in release 7.0 it also brokers Charging Policy.  In the 
>>
>>future it will 
>>
>>>probably broker other per flow policy.  For example, it may 
>>
>>instruct 
>>
>>>the network to apply security policies to a flow or group of flows.
>>> 
>>>The QoS Application that is being developed by the IETF (IMO) was 
>>>targeting the Policy entity in its IMS Rel 6.0 form when it 
>>
>>was called 
>>
>>>the PDF instead of PCRF and when it was only serving QoS policies.  
>>>Now in rel 7.0 the Diameter application being developed is serving 
>>>both QoS and Charging information and is based on the 
>>
>>Diameter Credit 
>>
>>>Control function.
>>> 
>>>Also QoS policies are also delivered as part of Authentication.  So 
>>>EAP Application may be used to deliver initial QoS policies to the 
>>>User session being authenticated and authorized.
>>
>>I agree with you.
>>
>>
>>> 
>>>So I am raising the following questions:
>>> 
>>>1) Is there any reason to create a QoS Application in Diameter?
>>
>>I guess your question is 'Does it need to be an application' 
>>and thereby referring to question 3. In some sense we also 
>>discussed this question in context of MIPv6 Bootstrapping as well.
>>
>>Are you concerned about the additional messaging or more 
>>about the degree of flexbility.
>>
>>
>>> 
>>>2) Should we work on a Diameter Flow-based Policy 
>>
>>Application that is 
>>
>>>able to deliver QoS/Charging and in the future other flow 
>>
>>based application?
>>
>>>-Should this work be done in the IETF? Do we get folks in 
>>
>>3GPP/3GPP2 
>>
>>>and WiMAX to agree to work on this within the IETF.  Or 
>>
>>perhaps we can 
>>
>>>agree to work on this together outside the IETF?
>>
>> >
>>
>>>3) Perhaps we should just define QoS based attributes that can be 
>>>pulled into various future Diameter Applications.
>>
>>The last two approaches sound like interesting approaches we 
>>should investigate.
>>
>>
>>Ciao
>>Hannes
>>
>>
>>> 
>>> 
>>>Comments are welcome!!!
>>> 
>>> 
>>>
>>>    
>>
>>--------------------------------------------------------------
>>----------
>>
>>>    *From:* Tschofenig, Hannes 
>>
>>[mailto:[email-masked]]
>>
>>>    *Sent:* Monday, May 08, 2006 4:23 AM
>>>    *To:* [email-masked]; [email-masked]
>>>    *Cc:* [email-masked]
>>>    *Subject:* AW: [Dime] FW: [AAA-WG]: Policy 
>>
>>representation for AAA server
>>
>>>    Hi Salekul,
>>>     
>>>    could you formulate your question in more detail?
>>>    What type of policies are you talking about? E.g., policies that
>>>    represent the business logic at a AAA server or 
>>
>>policies that are
>>
>>>    conveyed from the AAA server to the AAA client? Are you 
>>
>>looking for
>>
>>>    a language to express these policies or rather for the 
>>
>>content of
>>
>>>    these policies? Do you have a specific application in 
>>
>>mind (e.g.,
>>
>>>    policies regarding charging, QoS, location information)
>>>     
>>>    Ciao
>>>    Hannes
>>>     
>>>
>>>        
>>
>>--------------------------------------------------------------
>>----------
>>
>>>        *Von:* [email-masked] 
>>
>>[mailto:[email-masked]]
>>
>>>        *Gesendet:* Montag, 8. Mai 2006 10:10
>>>        *An:* [email-masked]
>>>        *Cc:* [email-masked]
>>>        *Betreff:* [Dime] FW: [AAA-WG]: Policy 
>>
>>representation for AAA server
>>
>>>        Forward to the DiME WG, in case any one has 
>>
>>opinions for Diameter.
>>
>>>         
>>>        John
>>>
>>>            
>>
>>--------------------------------------------------------------
>>----------
>>
>>>            *From:* [email-masked]
>>>            [mailto:[email-masked]] *On Behalf Of 
>>
>>*ext Salekul Islam
>>
>>>            *Sent:* 30 April, 2006 08:55
>>>            *To:* [email-masked]
>>>            *Cc:* Salekul Islam
>>>            *Subject:* [AAA-WG]: Policy representation for 
>>
>>AAA server
>>
>>>            Hi,
>>>             
>>>            I am interested in policy representation or 
>>
>>policy server in
>>
>>>            Diameter architecture. Is there any Internet 
>>
>>Draft or paper
>>
>>>            addressing the issues related to policy 
>>
>>representation for
>>
>>>            AAA server? Is there any specific direction or 
>>
>>goal of the
>>
>>>            WG regarding this issue?
>>>             
>>>            Any sort of information will be very helpful for me.
>>>             
>>>            regards,
>>>             
>>>            Salekul Islam
>>>            PhD candidate, Concordia University
>>>            Montreal, Canada
>>>             
>>>
>>>
>>>
>>
>>--------------------------------------------------------------
>>----------
>>
>>>_______________________________________________
>>>DiME mailing list
>>>[email-masked]
>>>https://www1.ietf.org/mailman/listinfo/dime
>>
>>
> 
> 

_______________________________________________
DiME mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dime